Community Liaison and Developer Relation quarterly goals for January - March 2016
Closed, ResolvedPublic

Description

X --->January - March 2016April - June 2016 >>>

Community Liaison and Developer Relations are trying to align their planning processes, and they are also trying to align their quarterly goals process with Engineering and Product (and, needless to say, with the rest of Community Engagement.

Deadlines:

  • December 3: team goals scoped and drafted on mediawiki.org .
  • December 10: team goals drafts completed on mediawiki.org, still open for fine tuning based on external dependencies.
  • December 31: team goals and individual goals finalized.
  • April 13: Community Engagement quarterly review.

See also

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved Rdicerb
ResolvedQgil
DeclinedKeegan
ResolvedQgil
OpenNone
ResolvedQgil
Declined Rdicerb
ResolvedAddshore
OpenNone
ResolvedJohan
DuplicateTrizek-WMF
ResolvedElitre
ResolvedElitre
ResolvedElitre
ResolvedElitre
Resolved Moushira
Resolved Moushira
Resolved Moushira
Resolved Moushira
ResolvedJohan
ResolvedJohan
ResolvedKeegan
InvalidKeegan
InvalidKeegan
ResolvedWhatamidoing-WMF
Duplicate Moushira
Qgil created this task.Nov 23 2015, 2:31 PM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Normal.
Qgil claimed this task.
Qgil moved this task from Backlog to October - December 2015 on the Developer-Advocacy board.
Qgil raised the priority of this task from Normal to High.
Qgil added subscribers: Qgil, Aklapper, Rdicerb and 9 others.
Qgil updated the task description. (Show Details)Nov 23 2015, 2:35 PM
Qgil set Security to None.

Thanks for this, Quim.
Among the other things, I'm personally musing on defining which wikis I'd like to focus on and provide particular support to.
My current reading of T119347, among other things, makes me inclined to think that our energies are better spent on communities which truly need and appreciate our efforts to go beyond mere words.

es.wiki for example is getting VE these days, so they may need some extra attention next quarter, and I'd be glad to provide it.
Also, things are moving on the Phase 6 front, so there's that batch as well.
Feedback centralization is another thing which I hope can happen in the next months, so my hands are probably full enough already at this point.

Among the other things, I'm personally musing on defining which wikis I'd like to focus on and provide particular support to.
My current reading of T119347, among other things, makes me inclined to think that our energies are better spent on communities which truly need and appreciate our efforts to go beyond mere words.

So when we view development in a critical but serious and constructive way, we are not given any support?
Is that what you try to say?
Please correct me if my interpretation is wrong. I sincerely hope that these questions are answered with a 'no'.

We are asking for two years for our problems being solved, trusting in the Wikimedia Foundation to prioritise the development in the right order.

If parts of the MediaWiki software cause that Wikipedia articles are emptied without the intention of the user, we hope that WMF takes such problem seriously and gives it a higher prioritisation.

If Elitre is not motivated to care for the Dutch Wikipedia, please let us know who we should ask who can help us with the support so that finally, after long long long waiting, the VisualEditor can be deployed on nl-wiki.

Hey Romaine,
this is not the the venue for such a discussion. Feel free to copy and paste it to T119347 (or to the VE feedback page at nl.wiki), I'm certainly glad to discuss further elsewhere. Thanks for your understanding!

I am not up for a discussion, I have only a simple question: who is motivated to solve the big software issues in the Dutch Wikipedia in this quarter or the next quarter?

Qgil added a comment.Nov 23 2015, 3:57 PM

@Romaine, this task is about "Community Liaison and Developer Relation quarterly goals for January - March 2016" and we are trying to work on it here, publicly. These teams don't "solve big software issues", so we cannot help in this task. @Elitre has invited you to ask your question in other places followed by the VE team, since your question seems to addressed actually to them. Please follow her advice.

I'm gonna report and answer there.

Qgil moved this task from Backlog to Doing on the DevRel-December-2015 board.Dec 3 2015, 12:32 PM
Qgil moved this task from Backlog to Doing on the DevRel-January-2016 board.Jan 12 2016, 1:50 AM
Qgil lowered the priority of this task from High to Low.Jan 20 2016, 10:58 AM

The goals of both teams are defined. Lowering priority until the next quarterly review.

Qgil added a comment.Jan 25 2016, 8:38 AM

I think it will be useful to add all the team and individual goals here as blockers, as a quick way to see the progress. Feel free to help adding goals.

Qgil updated the task description. (Show Details)Mar 7 2016, 9:56 PM
Qgil updated the task description. (Show Details)Mar 8 2016, 7:57 PM
  • April 13: Community Engagement quarterly review.
Qgil raised the priority of this task from Low to Normal.Mar 17 2016, 12:08 PM

Preparations for the quarterly review are starting to take place...

Qgil raised the priority of this task from Normal to High.Apr 2 2016, 1:40 PM
  • Community Engagement quarterly review on April 13.
Qgil closed this task as Resolved.Apr 15 2016, 5:29 AM

The quarterly review was held on Wednesday, and I will link to the slides as soon as they are available.

The individual goals that were not resolved in the past quarter are all scheduled for this quarter.

I'm resolving this task. Thank you to everybody involved in this first quarter of Technical Collaboration!

Qgil updated the task description. (Show Details)Apr 19 2016, 6:43 AM
Whatamidoing-WMF closed subtask Unknown Object (Task) as Resolved.May 5 2016, 6:05 AM
Elitre reopened subtask Unknown Object (Task) as Stalled.May 13 2016, 2:04 PM
Elitre changed the status of subtask Unknown Object (Task) from Open to Stalled.May 16 2016, 12:50 PM
Elitre closed subtask Unknown Object (Task) as Resolved.May 31 2016, 9:23 AM
Elitre closed subtask Unknown Object (Task) as Invalid.Jun 26 2017, 2:54 PM